summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-06-15 09:58:37 +0000
committerJim Meyering <jim@meyering.net>2002-06-15 09:58:37 +0000
commit767aa7bf70bf28988668ed1213085f9fd8ac5767 (patch)
tree382a9a7f0f6c63cf1fa8507606ec6c656c201af7 /tests
parent9234b6f7e076edf51d62dd44acc506b7c1ad1497 (diff)
downloadcoreutils-767aa7bf70bf28988668ed1213085f9fd8ac5767.tar.xz
use trap stuff from sample-test
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mkdir/perm4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mkdir/perm b/tests/mkdir/perm
index 4b8cda5b6..cc5d15b27 100755
--- a/tests/mkdir/perm
+++ b/tests/mkdir/perm
@@ -8,8 +8,8 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=perm.$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $tmp; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0